import 'package:fluro/fluro.dart';
import 'package:memri/screens/account/login_developer_screen.dart';
import 'package:memri/screens/account/login_screen.dart';
import 'package:memri/screens/account/onboarding_screen.dart';
import 'package:memri/screens/account/save_keys_screen.dart';
import 'package:memri/screens/cvu_screen.dart';
import 'package:memri/screens/error_screen.dart';
import 'package:memri/screens/not_found_screen.dart';
import 'package:memri/screens/workspace/apps/apps_configure_screen.dart';
import 'package:memri/screens/workspace/apps/apps_feed_screen.dart';
import 'package:memri/screens/workspace/apps/apps_inbox_screen.dart';
import 'package:memri/screens/workspace/apps_screen.dart';
import 'package:memri/screens/workspace/data/importers/importer_connect_screen.dart';
import 'package:memri/screens/workspace/data/importers/importer_create_screen.dart';
import 'package:memri/screens/workspace/data/importers/importer_downloading_screen.dart';
import 'package:memri/screens/workspace/data/importers/importer_error_screen.dart';
import 'package:memri/screens/workspace/data_screen.dart';
import 'package:memri/screens/workspace/oauth_screen.dart';
import 'package:memri/screens/workspace/pod_keys_screen.dart';
import 'package:memri/screens/workspace/projects/projects_app_create_screen.dart';
import 'package:memri/screens/workspace/projects/projects_app_preview_screen.dart';
import 'package:memri/screens/workspace/projects/projects_create_screen.dart';
import 'package:memri/screens/workspace/projects/projects_label_data_screen.dart';
import 'package:memri/screens/workspace/projects/projects_summary_screen.dart';
import 'package:memri/screens/workspace/projects_screen.dart';
import 'package:memri/screens/workspace/workspace_screen.dart';

var notFoundHandler = Handler(handlerFunc: (_, __) => NotFoundScreen());

///
/// Account
///
var onboardingScreenHandler =
    Handler(handlerFunc: (_, __) => OnboardingScreen());

var errorScreenHandler = Handler(handlerFunc: (_, __) => ErrorScreen());

var loginScreenHandler = Handler(handlerFunc: (_, __) => LoginScreen());

var loginDeveloperScreenHandler =
    Handler(handlerFunc: (_, __) => LoginDeveloperScreen());

var saveKeysScreenHandler = Handler(handlerFunc: (_, __) => SaveKeysScreen());

///
/// Workspace
///
var workspaceScreenHandler = Handler(handlerFunc: (_, __) => WorkspaceScreen());

var keysScreenHandler = Handler(handlerFunc: (_, __) => PodKeysScreen());

///
/// Data
///
var dataScreenHandler = Handler(handlerFunc: (_, __) => DataScreen());

///
/// Oauth
///
var oauthScreenHandler = Handler(handlerFunc: (_, __) => OauthScreen());

///
/// Importers
///
var importerCreateScreenHandler =
    Handler(handlerFunc: (_, __) => ImporterCreateScreen());

var importerConnectScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        ImporterConnectScreen(name: params['name']?.first ?? ''));

var importerDownloadingScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        ImporterDownloadingScreen(
            id: params['id']?.first ?? '', name: params['name']?.first ?? ''));

var importerErrorScreenHandler =
    Handler(handlerFunc: (_, __) => ImporterErrorScreen());

///
/// Apps
///
var appsScreenHandler = Handler(handlerFunc: (_, __) => AppsScreen());

var appsConfigureScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) => AppsConfigureScreen(
        tab: params['tab']?.first ?? '', pluginId: params['id']?.first ?? ''));

var appsInboxScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        AppsInboxScreen(importer: params['importer']?.first ?? ''));

var appsFeedScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) => AppsFeedScreen());

///
/// Projects
///
var projectsScreenHandler = Handler(handlerFunc: (_, __) => ProjectsScreen());

var projectsCreateScreenHandler =
    Handler(handlerFunc: (_, Map<String, List<String>> params) {
  final isSample =
      params['isSample'] != null && params['isSample']?.first == 'true';
  return ProjectsCreateScreen(isSampleProject: isSample);
});

var projectsLabelDataScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        ProjectsLabelDataScreen(id: params['id']?.first ?? ''));

var projectsSummaryScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        ProjectsSummaryScreen(id: params['id']?.first ?? ''));

var projectsAppCreateScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        ProjectsAppCreateScreen(id: params['id']?.first ?? ''));

var projectsAppPreviewScreenHandler = Handler(
    handlerFunc: (_, Map<String, List<String>> params) =>
        ProjectsAppPreviewScreen(id: params['id']?.first ?? ''));

var cvuHandler = Handler(handlerFunc: (_, __) => CVUScreen());
