import 'package:logger/logger.dart';

class AppSettings {
  static final AppSettings _settings = AppSettings._internal();

  factory AppSettings() => _settings;

  AppSettings._internal();

  final String defaultPodUrl = 'https://dev.pod.memri.io';
  final String defaultDevPodUrl = 'http://localhost:3030';
  final String defaultAppUrl = 'https://dev.app.memri.io';
  final String podVersion = 'v4';

  final bool showDeveloperButton = true;
  final bool showSignupButton = true;
  final bool maintenanceInProgress = false;

  /// Database
  final String defaultDatabase = 'dev_database';
  final int syncControllerIntervalSecs = 3;
  final int checkPodExistenceTimeoutSecs = 3;

  /// Logger
  final Level loggerLevel = Level.debug;
  final bool loggerColorEnabled = true;
  final bool loggerPrintTime = true;

  /// MixPanel
  final String mixPanelToken = '2480710466ca60df2a6dc2905a9fdccc';

  /// Plugins
  final int minimalRequiredData = 1;
  final String pluginFactoryContainer =
      'gitlab.memri.io:5050/memri/plugins/plugin-factory:dev-latest';
  final String whatsappContainer =
      'gitlab.memri.io:5050/memri/plugins/whatsapp-multi-device:dev-latest';
  final String twitterContainer =
      'registry.digitalocean.com/polis/memri-plugins:twitter-dev-latest';

  /// CVU constants
  final String colabLink =
      'https://colab.research.google.com/drive/189JJ2gLHAtxlmzc5XI3HhB9_VE3fT6DT';

  /// DIO
  final int dioConnectTimeout = 10000;
  final int dioReceiveTimeout = 5000;
  final int dioFailureRetries = 3; // Number of retries before a failure
  final bool dioLoggerEnabled = true;
  final bool dioLogInterceptorRequest = true;
  final bool dioLogInterceptorRequestHeader = true;
  final bool dioLogInterceptorRequestBody = true;
  final bool dioLogInterceptorResponseHeader = true;
  final bool dioLogInterceptorResponseBody = true;

  /// gitlab
  final String gitlabBaseUrl = 'https://gitlab.memri.io/api/v4';

  /// Links
  final String guideUrl =
      'https://docs.memri.io/tutorials/build_a_sentiment_analysis_app/';
  final String discordUrl = 'http://discord.gg/kRTcDtGUmr';
  final String documentationUrl = 'https://docs.memri.io/';
  final String gitlabUrl = 'https://gitlab.memri.io/users/sign_in';
  final String privacyUrl = 'https://www.memri.io/privacy-policy';
  final String contactUrl = 'https://memri.io/contact/';
  final String dataExplorerUrl = 'https://data.memri.io/';
  final String pluginDocUrl =
      'https://docs.memri.io/component-architectures/plugins/readme/';
  final String discordPluginUrl =
      'https://discord.com/channels/799216875480678430/819828708368973874';
}
