import 'package:flutter/material.dart';
import 'package:memri/constants/app_styles.dart';
import 'package:memri/utilities/helpers/app_helper.dart';

final lightTheme = ThemeData(
  fontFamily: 'Karla',
  backgroundColor: Color(0xffE5E5E5),
  scaffoldBackgroundColor: app.colors.greyBackGround,
  textTheme: const TextTheme(
    headline1: AppStyles.headline1,
    headline2: AppStyles.headline2,
    headline3: AppStyles.headline3,
    headline4: AppStyles.headline4,
    bodyText1: AppStyles.bodyText1,
    bodyText2: AppStyles.bodyText2,
  ),
  textButtonTheme: TextButtonThemeData(
      style: TextButton.styleFrom(
          shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(1)),
          visualDensity: VisualDensity(horizontal: 0, vertical: 0),
          primary: Color(0xff515151),
          minimumSize: Size.zero,
          tapTargetSize: MaterialTapTargetSize.shrinkWrap,
          padding: const EdgeInsets.all(10.0))),
  // ignore: deprecated_member_use
  scrollbarTheme: const ScrollbarThemeData(isAlwaysShown: true),
  pageTransitionsTheme: PageTransitionsTheme(builders: const {
    TargetPlatform.macOS: FadeUpwardsPageTransitionsBuilder(),
    TargetPlatform.iOS: FadeUpwardsPageTransitionsBuilder(),
    TargetPlatform.android: FadeUpwardsPageTransitionsBuilder(),
  }),
);
