import 'dart:async';

import 'package:memri/core/models/item.dart';
import 'package:memri/providers/data_app_provider.dart';

class RunningPlugin {
  Item plugin;
  Item pluginRun;
  Stream<Item>? pluginRunStream;
  StreamSubscription<Item>? pluginRunSubscription;
  AppState appState = AppState.deploying;
  String? runLog;

  RunningPlugin(
      {required this.plugin,
      required this.pluginRun,
      this.pluginRunStream,
      this.pluginRunSubscription});

  stopStream() {
    pluginRunSubscription?.cancel();
    pluginRunStream = null;
  }

  String? getRunStatus() {
    return pluginRun.get('status');
  }

  bool isDone() {
    var runStatus = getRunStatus();
    return ['done', 'error'].contains(runStatus);
  }
}
