import 'package:flutter/material.dart';
import 'package:memri/constants/app_logger.dart';
import 'package:memri/constants/app_styles.dart';
import 'package:memri/providers/app_provider.dart';
import 'package:memri/providers/pod_provider.dart';
import 'package:memri/utilities/helpers/app_helper.dart';
import 'package:provider/provider.dart';

class NotFoundScreen extends StatefulWidget {
  const NotFoundScreen({Key? key}) : super(key: key);

  @override
  State<NotFoundScreen> createState() => _NotFoundScreenState();
}

class _NotFoundScreenState extends State<NotFoundScreen> {
  bool get keyExist =>
      app.userAccessKey != null && app.userAccessKey!.isNotEmpty;

  @override
  void initState() {
    if (keyExist) {
      Provider.of<AppProvider>(context, listen: false)
          .handleAccessKeyExist(context);
      Provider.of<PodProvider>(context, listen: false)
          .signUp(context, refresh: false);
    } else {
      AppLogger.err('ROUTE WAS NOT FOUND !!!');
    }
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Center(
            child: Text(
      keyExist ? '' : '404 Not Found',
      style: AppStyles.headline1,
    )));
  }
}
