import 'package:intl/intl.dart';

class DateTimeHelper {
  static final DateTimeHelper _network = DateTimeHelper._internal();

  factory DateTimeHelper() => _network;

  DateTimeHelper._internal();

  String getDateString(int? timeStamp) {
    if (timeStamp == null) {
      return '';
    }
    List<String> months = [
      'January',
      'February',
      'March',
      'April',
      'May',
      'June',
      'July',
      'August',
      'September',
      'October',
      'November',
      'December'
    ];
    DateTime date = DateTime.fromMicrosecondsSinceEpoch(timeStamp * 1000);
    return '${date.day} ${months[date.month]} ${date.year}';
  }

  String getDateTimeString(int? timeStamp) {
    if (timeStamp == null) {
      return '';
    }
    DateTime date = DateTime.fromMicrosecondsSinceEpoch(timeStamp * 1000);
    var firstPart = DateFormat('hh:mma').format(date).toUpperCase();
    if (firstPart[0] == '0') {
      firstPart = firstPart.substring(1);
    }
    return '$firstPart  ${date.day}/${date.month}/${date.year}';
  }
}
