import 'package:flutter/material.dart';
import 'package:memri/configs/routes/route_navigator.dart';
import 'package:memri/utilities/helpers/app_helper.dart';
import 'package:memri/widgets/dialogs/blur_filter.dart';

class CustomAlertDialog extends StatelessWidget {
  const CustomAlertDialog({
    Key? key,
    required this.title,
    required this.description,
    required this.button,
  }) : super(key: key);

  final String title;
  final String description;
  final Widget button;
  final double borderRadius = 20.0;

  @override
  Widget build(BuildContext context) {
    return BlurFilter(
      child: AlertDialog(
        backgroundColor: app.colors.white.withOpacity(0.6),
        elevation: 0,
        shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(borderRadius)),
        title: Text(
          title,
          style: TextStyle(color: app.colors.brandOrange),
        ),
        content: Text(description),
        actions: [
          button,
          TextButton(
            child: Text(
              'Cancel',
              style: TextStyle(color: app.colors.brandOrange),
            ),
            onPressed: () => RouteNavigator.navigateBack(context),
          ),
        ],
      ),
    );
  }
}
