import 'package:flutter/material.dart';
import 'package:memri/utilities/helpers/app_helper.dart';
import 'package:memri/widgets/dialogs/blur_filter.dart';

class CustomDialog extends StatelessWidget {
  const CustomDialog({Key? key, required this.child}) : super(key: key);

  final double borderRadius = 20.0;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return BlurFilter(
      child: SimpleDialog(
        backgroundColor: app.colors.white.withOpacity(0.6),
        elevation: 0,
        contentPadding: EdgeInsets.zero,
        shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(borderRadius)),
        children: [
          ClipRRect(
            borderRadius: BorderRadius.circular(borderRadius),
            child: Container(
              padding: EdgeInsets.only(
                  bottom: MediaQuery.of(context).viewInsets.bottom),
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Container(padding: EdgeInsets.all(24), child: child),
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
