import 'package:flutter/material.dart';
import 'package:memri/utilities/helpers/app_helper.dart';

class LoadingIndicator extends StatelessWidget {
  const LoadingIndicator({Key? key, this.message = '', this.height = 100})
      : super(key: key);

  final String message;
  final double height;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          app.images.logo(height: height),
          SizedBox(height: 32),
          SizedBox(
            width: 150,
            child: LinearProgressIndicator(color: Color(0xffFE570F)),
          ),
          if (message.isNotEmpty) SizedBox(height: 16),
          Text(message, textAlign: TextAlign.center),
        ],
      ),
    );
  }
}
