import 'package:flutter/material.dart';
import 'package:memri/constants/app_styles.dart';
import 'package:memri/utilities/helpers/app_helper.dart';

class ProjectProgressSteps extends StatefulWidget {
  const ProjectProgressSteps({
    Key? key,
    required this.step,
  }) : super(key: key);
  final int step;

  @override
  State<ProjectProgressSteps> createState() => _ProjectProgressStepsState();
}

class _ProjectProgressStepsState extends State<ProjectProgressSteps> {
  @override
  Widget build(BuildContext context) {
    return Wrap(
      runSpacing: 16,
      children: [
        for (var i = 0; i < contents.length; i++)
          Container(
            padding: EdgeInsets.only(right: 42),
            child: Column(
              crossAxisAlignment: CrossAxisAlignment.start,
              children: [
                Text(
                  '0${i + 1}',
                  style: AppStyles.smallCaps.copyWith(
                      color: i + 1 > widget.step
                          ? app.colors.brandGreyText
                          : app.colors.brandBlack),
                ),
                app.icons.arrowLong(
                    color: i + 1 > widget.step
                        ? app.colors.brandGreyText
                        : app.colors.brandBlack),
                Container(
                  constraints: BoxConstraints(maxWidth: 80),
                  child: Text(
                    contents[i],
                    style: AppStyles.bodyText1.copyWith(
                        color: i + 1 > widget.step
                            ? app.colors.brandGreyText
                            : app.colors.brandBlack),
                  ),
                ),
              ],
            ),
          ),
      ],
    );
  }

  List<String> contents = [
    'Collect your data',
    'Create new project',
    'Label your data',
    'Train and deploy a ML model',
    'Deploy yur data app',
    'Add a UI'
  ];
}
