import 'package:flutter/material.dart';
import 'package:memri/constants/app_styles.dart';
import 'package:memri/utilities/helpers/app_helper.dart';

class SimpleTextEditor extends StatelessWidget {
  const SimpleTextEditor({
    Key? key,
    required this.controller,
    required this.title,
    this.hintText = '',
    this.textColor,
  }) : super(key: key);

  final TextEditingController controller;
  final String title;
  final String hintText;
  final Color? textColor;

  @override
  Widget build(BuildContext context) {
    return Container(
      width: 632,
      height: 51,
      padding: const EdgeInsets.fromLTRB(10, 8, 10, 8),
      color: Color(0xffF5F5F5),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(title.toUpperCase(),
              style: AppStyles.smallCaps.copyWith(color: Color(0xff828282))),
          SizedBox(height: 8),
          TextFormField(
            controller: controller,
            decoration: InputDecoration.collapsed(
              border: InputBorder.none,
              hintText: hintText,
              hintStyle: AppStyles.input,
            ),
            style: TextStyle(
                color: textColor ?? app.colors.brandOrange, fontSize: 14),
          ),
        ],
      ),
    );
  }
}
